IBM Support

Informix Client Software Development Kit (Client SDK) and Informix Connect System Requirements

Product Documentation


Abstract

This document describes the operating system requirements for IBM® Informix® Client Software Development Kit (Client SDK) and Informix Connect.

Content

Last modified: March 14, 2019


Informix Client SDK and Informix Connect run on most systems that have a UNIX, Linux, or Windows operating system and, starting with version 3.5, also on the Mac OS X operating system.

Download Informix Client SDK

System requirements are listed by operating system (OS). In this document:


For more information about the system requirements for each client API, see the following machine notes:



Platform: AIX

Hardware: IBM POWER (System p, System i, POWER Blades)
Note: These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK 4.50 Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
AIX 6.1 4.10.UC12
4.10.FC12
Minimum TL 4 Service Pack 3
3.70.UC9
3.70.FC9
Minimum TL 4 Service Pack 3
AIX 7.1 4.10.UC12
4.10.FC12
3.70.UC9
3.70.FC9
AIX 7.2 4.50.FC1 4.10.UC12
4.10.FC12


Platform: HP-UX (Itanium)

Hardware: Itanium is required
Note: These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK 4.50 Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
HP-UX 11.31 4.50.FC1 4.10.UC12
4.10.FC12
3.70.UC9
3.70.FC9



Platform: HP-UX (PA-RISC)

Hardware: PA-RISC
Note: These codes are used in the following table:
F = 64-bit
H = 32-bit build on any HP PA-RISC 11.x platform; also runs on HP PA-RISC 11.x 64-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
HP-UX 11.11 3.70.HC8
3.70.FC8
HP-UX 11.23 3.70.HC8
3.70.FC8
HP-UX 11.31 3.70.HC8
3.70.FC8



Platform: Linux - Intel

Hardware: Intel x86, Intel x86_64 (EM64T/AMD64)
Note: These codes are used in the following table:
F = 64-bit on Intel x86_64 (EM64T/AMD64)
U = 32-bit on Intel x86 or Intel x86_64 (EM64T/AMD64)

Operating System Version Client SDK 4.50 Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
RHEL 5 4.10.UC12
4.10.FC12
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.UC9
3.70.FC9
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
RHEL 6 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
RHEL 7
4.50.FC1
Additional OS requirements:
- Minimum update 4
- Base kernel version 3.10.0
- Glibc version ​2.17
- Compiler 4.8.5
4.10.FC12
Additional OS requirements:
- Base kernel version 3.10
- Glibc version ​2.17
- Compiler 4.8.2
CentOS 6 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
CentOS 7 4.50.FC1
Additional OS requirements:
- Minimum update 4
- Base kernel version 3.10.0
- Glibc version ​2.17
- Compiler 4.8.5
4.10.FC12
Additional OS requirements:
- Base kernel version 3.10
- Glibc version ​2.17
- Compiler 4.8.2
SuSE SLES 11 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
SuSE SLES 12
4.50.FC1
Additional OS requirements:
- Minimum service pack 3
- Base kernel version 4.4.73
- Glibc version 2.22
- Compiler 4.8.5
4.10.FC12
Additional OS requirements:
- Base kernel version ​3.12.28
- Glibc version ​2.19
- Compiler 4.8.3
SuSE SLES 15
4.50.FC1
Additional OS requirements:
- Base kernel version 4.12.14
- Glibc version 2.26
- Compiler 7.3.1
Asianux 3.0 4.10.UC12
4.10.FC12
Additional OS requirements:
- Minimum service pack 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.UC9
3.70.FC9
Additional OS requirements:
- Minimum service pack 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
Debian 5.0 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
Ubuntu 8.04 LTS 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2.4
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2.4
Ubuntu 10.04 LTS 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.32
- Glibc version ​2.11.1
- Compiler 4.4.3
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.32
- Glibc version ​2.11.1
- Compiler 4.4.3
Ubuntu 12.04 LTS 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​3.2.0
- Glibc version ​2.15
- Compiler 4.6.3
Ubuntu 14.04 LTS 4.10.FC12
Additional OS requirements:
- Base kernel version ​3.13
- Glibc version 2.19
- Compiler 4.8.4
Ubuntu 16.04 LTS
4.50.FC1
Additional OS requirements:
- Base kernel version 4.4.0
- Glibc version 2.23
- Compiler 5.4.0
4.10.FC12
Additional OS requirements:
- Base kernel version ​4.4.0
- Glibc version 2.23
- Compiler 5.4.0
Ubuntu 17.10
4.50.FC1
Additional OS requirements:
- Base kernel version 4.13
- Glibc version 2.26
- Compiler 7.2
4.10.FC12
Additional OS requirements:
- Base kernel version ​4.13.0
- Glibc version 2.26
- Compiler 7.2
openSuSE 11.1 Developer Edition only
4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
Developer Edition only
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
openSuSE 11.2 Developer Edition only
4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
openSuSE 11.3 Developer Edition only
4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Developer Edition only
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Fedora 11 Developer Edition only
4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Fedora 12 Developer Edition only
4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Developer Edition only
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Fedora 13 Developer Edition only
4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4
Developer Edition only
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4



Platform: Linux - IBM POWER (Big Endian)

Hardware: System p, System i, POWER blades
Note: This code is used in the following table:
F = 64-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
RHEL 5 4.10.FC12
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.FC9
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
RHEL 6 4.10.FC12
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
RHEL 7 4.10.FC12
Additional OS requirements:
- Base kernel version 3.10
- Glibc version ​2.17
- Compiler 4.8.2
SuSE SLES 11 4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3



Platform: Linux - IBM POWER (Little Endian)

Hardware: IBM POWER8® for ppc64le
Note: This code is used in the following table:
F = 64-bit

Operating System Version Client SDK 4.50 Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
RHEL 7
4.50.FC1
Additional OS requirements:
- Minimum update 4
- Base kernel version 3.10.0
- Glibc version ​2.17
- Compiler 4.8.5
4.10.FC12
Additional OS requirements:
- Base kernel version ​3.10.0
- Glibc version 2.17
- Compiler 4.8.3
SuSE SLES 12 4.50.FC1
Additional OS requirements:
- Minimum service pack 3
- Base kernel version 4.4.73
- Glibc version 2.22
- Compiler 4.8.5
4.10.FC12
Additional OS requirements:
- Base kernel version ​3.12.28
- Glibc version ​2.19
- Compiler 4.8.3
SuSE SLES 15

4.50.FC1
Additional OS requirements:
- Base kernel version 4.12.14
- Glibc version 2.26
- Compiler 7.3.1

Ubuntu 14.04 4.10.FC12
Additional OS requirements:
- Base kernel version ​3.16.0
- Glibc version 2.19
- Compiler 4.8.4


Platform: Linux - IBM System z

Hardware: System z
Note:
This code is used in the following table:
U = 32-bit
F = 64-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
RHEL 5 4.10.UC12
4.10.FC12
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.UC9
3.70.FC9
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
RHEL 6 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
RHEL 7 4.10.FC12
Additional OS requirements:
- Base kernel version 3.10.0
- Glibc version ​2.17
- Compiler 4.8.2
SuSE SLES 11 4.10.UC12
4.10.FC12
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.70.UC9
3.70.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
SuSE SLES 12 4.10.FC12
Additional OS requirements:
- Base kernel version ​3.12.28
- Glibc version ​2.19
- Compiler 4.8.3


Platform: Mac OS X

Hardware: Intel EM64T
Note: These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
Mac OS X 10.5.2 "Leopard" 3.70.FC4
3.70.UC4
Mac OS X 10.6 "Snow Leopard" 3.70.FC4
3.70.UC4
Mac OS X 10.9 "Mavericks" 4.10.FC12
Mac OS X 10.10 "Yosemite" 4.10.FC12


Platform: Solaris (SPARC)

Hardware: SPARC
Note:
These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK 4.50 Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
Solaris 10 4.10.UC12
4.10.FC12
Minimum update 8 is required
3.70.UC9
3.70.FC9
Minimum update 6 is required
Solaris 11

4.50.FC1
Minimum update 3 is required

4.10.UC12
4.10.FC12
3.70.UC9
3.70.FC9



Platform: Solaris (Intel)

Hardware: Intel x86 or x64(AMD AMD64, Intel EM64T)
Note: These codes are used in the following table:
F = 64-bit on x64(AMD AMD64, Intel EM64T)
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
Solaris 10 4.10.UC12
4.10.FC12
Minimum update 8 is required
3.70.UC9
3.70.FC9
Minimum update 6 is required
Solaris 11 4.10.UC12
4.10.FC12
3.70.UC9
3.70.FC9
Solaris 11.3



Platform: Windows

Hardware: Intel x86 or x64(AMD AMD64, Intel EM64T)
Note: These codes are used in the following table:
F = 64-bit on AMD AMD64, Intel EM64T
T = 32-bit on any Windows platform

Operating System Version Client SDK 4.50 Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70
Windows 10 4.10.FC12
Windows 8 4.10.TC12
4.10.FC12
Windows 7 4.10.TC12
4.10.FC12
3.70.TC9
3.70.FC9
Windows Vista 4.10.TC8
4.10.FC8
3.70.TC8
3.70.FC8
Windows XP 4.10.TC5
4.10.FC5
3.70.TC8
3.70.FC8
Windows 2016 4.50.FC1 4.10.TC12
4.10.FC12
Windows 2012 R2 4.10.TC12
4.10.FC12
Windows 2012 4.10.TC12
4.10.FC12
Windows 2008 R2 (64-bit) 4.10.TC12
4.10.FC12
3.70.TC9
3.70.FC9
Windows 2008 4.10.TC9
4.10.FC9
3.70.TC9
3.70.FC9
Windows 2003 4.10.TC5
4.10.FC5
3.70.TC9
3.70.FC9

Related information

Download CSDK
Informix system requirements
Informix CSDK 3.50 End of Support: 30 April 2018
Informix CSDK 3.00 End of Support: 30 April 2018

Copyright Date

2018


Cross reference information
Product Component Platform Version Edition
Informix Tools Informix Connect AIX, HP-UX, Linux, OS X, Solaris, Windows 3.7, 4.1

Document information

More support for: Informix Tools

Component: Informix Client Software Development Kit (CSDK)

Software version: 3.5, 3.7, 4.1, 4.5

Operating system(s): AIX, HP-UX, Linux, OS X, Platform Independent, Solaris, Windows

Reference #: 7016673

Modified date: 25 March 2019